package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyMedicalRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyMedicalRecordDO;

public interface ElderlyMedicalRecordService {

    void save(ElderlyMedicalRecordDO elderlyMedicalRecord);

    PageResult<ElderlyMedicalRecordDO> queryPage(ElderlyMedicalRecordPageReqVO pageReqVO);

    ElderlyMedicalRecordDO getDetailById(Long id);

    ElderlyMedicalRecordDO getLastRecord(Long elderId);

    void delete(Long id);

    void edit(ElderlyMedicalRecordDO elderlyMedicalRecord);
}
